package com.persagy.dmp.rwd.edit.repository;

import com.persagy.dmp.rwd.edit.entity.ClassDefChangeRecord;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.querydsl.QuerydslPredicateExecutor;

import java.util.List;

public interface ClassDefChangeRecordRepository extends JpaRepository<ClassDefChangeRecord, Integer>, QuerydslPredicateExecutor<ClassDefChangeRecord> {

    @Modifying
    @Query(nativeQuery = true, value = "update rwd_def_class_change_record set version = ?1 where version is null and id in (?2)")
    Integer addVersion(String version, List<Integer> idList);
}

